curl --request POST \
--url https://wisepim.com/api/public/v1/uom-values \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"code": "<string>",
"name": "<string>",
"symbol": "<string>",
"code_set": 123
}
'import requests
url = "https://wisepim.com/api/public/v1/uom-values"
payload = {
"code": "<string>",
"name": "<string>",
"symbol": "<string>",
"code_set": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({code: '<string>', name: '<string>', symbol: '<string>', code_set: 123})
};
fetch('https://wisepim.com/api/public/v1/uom-values', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"code": "<string>",
"name": "<string>",
"symbol": "<string>",
"localized_names": "<unknown>",
"localized_symbols": "<unknown>",
"conversion_factor": "<string>",
"is_base_unit": true,
"sort_order": 123,
"code_set": 123,
"id": 123
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>",
"detail": [
{}
]
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}Create uom-values
POST /uom-values. Required scopes: uom-values:write.
curl --request POST \
--url https://wisepim.com/api/public/v1/uom-values \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"code": "<string>",
"name": "<string>",
"symbol": "<string>",
"code_set": 123
}
'import requests
url = "https://wisepim.com/api/public/v1/uom-values"
payload = {
"code": "<string>",
"name": "<string>",
"symbol": "<string>",
"code_set": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({code: '<string>', name: '<string>', symbol: '<string>', code_set: 123})
};
fetch('https://wisepim.com/api/public/v1/uom-values', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"code": "<string>",
"name": "<string>",
"symbol": "<string>",
"localized_names": "<unknown>",
"localized_symbols": "<unknown>",
"conversion_factor": "<string>",
"is_base_unit": true,
"sort_order": 123,
"code_set": 123,
"id": 123
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>",
"detail": [
{}
]
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}Authorizations
Use a project API key from Settings > API Access. Send it as Authorization: Bearer wpk_.... See authentication and scopes for setup and permissions.
Headers
Reuse this key for retries of the same write. Scoped to this API key; retained until key deletion. Different requests with the same key return 409.
1 - 128^[!-~]+$Body
Unit code (e.g., 'mm', 'cm', 'in')
20Default name of the unit (e.g., 'Millimeter', 'Centimeter')
100Display symbol (e.g., 'mm', 'cm', '"')
10The UOM set this unit belongs to
Localized unit names keyed by locale code (e.g., {'en': 'Inch', 'nl': 'Duim'})
Show child attributes
Show child attributes
Localized symbols keyed by locale code (e.g., {'en': 'in', 'de': 'Zoll'})
Show child attributes
Show child attributes
Conversion factor relative to base unit. Value in this unit * factor = value in base unit
Whether this is the base unit (conversion_factor should be 1.0)
Display order within the code set
Response
Created
Unit code (e.g., 'mm', 'cm', 'in')
20Default name of the unit (e.g., 'Millimeter', 'Centimeter')
100Display symbol (e.g., 'mm', 'cm', '"')
10Localized unit names keyed by locale code (e.g., {'en': 'Inch', 'nl': 'Duim'})
Localized symbols keyed by locale code (e.g., {'en': 'in', 'de': 'Zoll'})
Conversion factor relative to base unit. Value in this unit * factor = value in base unit
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$Whether this is the base unit (conversion_factor should be 1.0)
Display order within the code set
The UOM set this unit belongs to

